<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ Copyright The WildFly Authors
  ~ SPDX-License-Identifier: Apache-2.0
  -->
<module name="org.apache.httpcomponents" xmlns="urn:jboss:module:1.9">

    <properties>
        <property name="jboss.api" value="private"/>
    </properties>

    <resources>
        <artifact name="org.apache.httpcomponents:httpcore-nio:4.4.16"/>
        <artifact name="org.apache.httpcomponents:httpasyncclient:4.1.5"/>
        <artifact name="org.apache.httpcomponents:httpmime:4.5.14"/>
    </resources>

    <dependencies>
        <module name="org.apache.commons.codec"/>
        <module name="org.apache.commons.logging"/>
        <module name="org.apache.httpcomponents.core" export="true" services="export"/>
    </dependencies>
</module>
